Bug 440963 - Uninstallation of gdm fails due to %postun scriptlet error
Uninstallation of gdm fails due to %postun scriptlet error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 14:06 EDT by Joonas Sarajärvi
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 22:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2008-04-04 14:06:40 EDT
Description of problem:
Uninstallation of gdm leaves gdm at least partly on the system if done normally
by Yum. rpm -e gdm --noscripts can still remove it, though.

Version-Release number of selected component (if applicable):
gdm.i386 1:2.21.10-0.2008.04.03.1.fc9

How reproducible:

Steps to Reproduce:
1. yum -y install gdm
2. rpm -e gdm
  
Actual results:

[root@fedora ~]# rpm -e gdm
I/O warning : failed to load external entity
"/etc/gconf/schemas/gdm-simple-greeter.schemas"
Failed to open `/etc/gconf/schemas/gdm-simple-greeter.schemas': No such file or
directory
error: %postun(gdm-2.21.10-0.2008.04.03.1.fc9.i386) scriptlet failed, exit status 1
[root@fedora ~]# rpm -q gdm
gdm-2.21.10-0.2008.04.03.1.fc9.i386
[root@fedora ~]#


Expected results:
Gdm should get removed from the system.

Additional info:
The original installation was done from the Fedora 9 beta DVD. I think I may
have had this problem right from after the installation. I first tried to
resolve the issue by updating the system. However, I am still having the problem
even with the most recent gdm package.

Note You need to log in before you can comment on or make changes to this bug.